# Class SeparatorRenderer

java.lang.Object
org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer
org.eclipse.e4.ui.workbench.renderers.swt.SWTPartRenderer
org.eclipse.e4.ui.workbench.renderers.swt.SeparatorRenderer

public class SeparatorRenderer extends SWTPartRenderer
Create a contribute part.

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer

`context, modelService, OWNING_ME`

## Constructor Summary

Constructors
Constructor
Description
`SeparatorRenderer()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`createWidget(MUIElement element, Object parent)`

### Methods inherited from class SWTPartRenderer

`bindWidget, calcIndex, calcVisibleIndex, childRendered, disposeWidget, forceFocus, getImage, getImageFromURI, getModelElement, getParentWidget, getToolTip, hookControllerLogic, imageChanged, init, processContents, reapplyStyles, requiresFocus, setCSSInfo, styleElement, unbindWidget`

### Methods inherited from class org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer

`activate, getContext, getContextForParent, getStyleOverride, getUIContainer, hideChild, postProcess, removeGui`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SeparatorRenderer

public SeparatorRenderer()

## Method Details

### createWidget

public Object createWidget(MUIElement element, Object parent)

Specified by:
  `createWidget` in class `org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer`